---
apiVersion: helm.fluxcd.io/v1
kind: HelmRelease
metadata:
  name: velero
  namespace: velero
  annotations:
    fluxcd.io/ignore: "false"
    fluxcd.io/automated: "false"
spec:
  releaseName: velero
  chart:
    repository: https://vmware-tanzu.github.io/helm-charts
    name: velero
    version: 2.12.13
  values:
    initContainers:
      - name: velero-plugin-for-aws
        image: velero/velero-plugin-for-aws:v1.1.0
        imagePullPolicy: IfNotPresent
        volumeMounts:
          - mountPath: /target
            name: plugins
    resources:
      requests:
        memory: 300Mi
        cpu: 25m
      limits:
        memory: 1000Mi
        cpu: 500m
    snapshotsEnabled: false
    deployRestic: true
    restic:
      podVolumePath: /var/lib/kubelet/pods
      privileged: false
      resources:
        requests:
          memory: 200Mi
          cpu: 15m
        limits:
          memory: 500Mi
          cpu: 500m
    schedules:
      daily-backup:
        schedule: "0 6 * * *"
        template:
          ttl: "120h"
  valueFileSecrets:
    - name: "velero-helm-values"
